bcsqrt
GMP
BC Math Functions
PHP Manual

# bcsub

(PHP 4, PHP 5, PHP 7)

bcsub — Subtract one arbitrary precision number from another

### Description

string bcsub ( string `$left_operand` , string `$right_operand` [, int `$scale` = 0 ] )

Subtracts the `right_operand` from the `left_operand`.

### Parameters

`left_operand`

  The left operand, as a string.

`right_operand`

  The right operand, as a string.

`scale`

  This optional parameter is used to set the number of digits after the decimal place in the result. If omitted, it will default to the scale set globally with the bcscale() function, or fallback to 0 if this has not been set.

### Return Values

The result of the subtraction, as a string.

### Examples

Example #1 bcsub() example

`<?php
$a = '1.234';
$b = '5';
echo bcsub($a, $b); // -3
echo bcsub($a, $b, 4); // -3.7660
?>`

### See Also

- bcadd() - Add two arbitrary precision numbers

bcsqrt
GMP
BC Math Functions
PHP Manual